nxt.http.callers

## Class GetAccountPropertiesCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetAccountPropertiesCall>
  - - nxt.http.callers.GetAccountPropertiesCall

-     public class GetAccountPropertiesCall
      extends APICall.Builder<GetAccountPropertiesCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetAccountPropertiesCall` | `create()`
    `GetAccountPropertiesCall` | `firstIndex(int firstIndex)`
    `GetAccountPropertiesCall` | `lastIndex(int lastIndex)`
    `GetAccountPropertiesCall` | `property(java.lang.String property)`
    `GetAccountPropertiesCall` | `recipient(long recipient)`
    `GetAccountPropertiesCall` | `recipient(java.lang.String recipient)`
    `GetAccountPropertiesCall` | `requireBlock(java.lang.String requireBlock)`
    `GetAccountPropertiesCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetAccountPropertiesCall` | `setter(long setter)`
    `GetAccountPropertiesCall` | `setter(java.lang.String setter)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetAccountPropertiesCall create()

    - #### requireLastBlock

          public GetAccountPropertiesCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetAccountPropertiesCall firstIndex(int firstIndex)

    - #### property

          public GetAccountPropertiesCall property(java.lang.String property)

    - #### recipient

          public GetAccountPropertiesCall recipient(java.lang.String recipient)

    - #### recipient

          public GetAccountPropertiesCall recipient(long recipient)

    - #### lastIndex

          public GetAccountPropertiesCall lastIndex(int lastIndex)

    - #### setter

          public GetAccountPropertiesCall setter(java.lang.String setter)

    - #### setter

          public GetAccountPropertiesCall setter(long setter)

    - #### requireBlock

          public GetAccountPropertiesCall requireBlock(java.lang.String requireBlock)